/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-06-28 at 18:46:21 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.reseller.model;

/**
 * JSON template for a subscription renewal settings.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise Apps Reseller API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class RenewalSettings extends com.google.api.client.json.GenericJson {

  /**
   * Identifies the resource as a subscription renewal setting.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Subscription renewal type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String renewalType;

  /**
   * Identifies the resource as a subscription renewal setting.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a subscription renewal setting.
   * @param kind kind or {@code null} for none
   */
  public RenewalSettings setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Subscription renewal type.
   * @return value or {@code null} for none
   */
  public java.lang.String getRenewalType() {
    return renewalType;
  }

  /**
   * Subscription renewal type.
   * @param renewalType renewalType or {@code null} for none
   */
  public RenewalSettings setRenewalType(java.lang.String renewalType) {
    this.renewalType = renewalType;
    return this;
  }

  @Override
  public RenewalSettings set(String fieldName, Object value) {
    return (RenewalSettings) super.set(fieldName, value);
  }

  @Override
  public RenewalSettings clone() {
    return (RenewalSettings) super.clone();
  }

}
